NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_writecontent(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_writecontent - Write content to a file

## Table Of Contents

## Synopsis

- ns_writecontent fileid

## Description

This function writes all the content (including any embedded null characters) to the specified file.

## COMMANDS

ns_writecontent fileid

  fileid Opened Tcl stream

## EXAMPLES

    set fp [open /tmp/data.txt]
    ns_writecontent $fp
    close $fp

## See Also

nsd

## Keywords

NaviServer